﻿using SciChart.Charting3D.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace DataPointSelectionModifier
{
  internal class XyzDataPointViewModelEx : XyzDataPointViewModel<double>
  {
    public XyzDataPointViewModelEx(
      int index,
      double x,
      double y,
      double z,
      IPointMetadata3D pointMetadata3D)
      : base(index, x, y, z, pointMetadata3D)
    {
      
    }

    private Point mScreenPoint;

    public Point ScreenPoint
    {
      get => mScreenPoint;
      set
      {
        mScreenPoint = value;
        OnPropertyChanged(nameof(ScreenPoint));
      }
    }
  }
}
